Attribute VB_Name = "mPartitions"
Option Explicit

Public Const IOCTL_DISK_GET_DRIVE_LAYOUT = &H7400C

Public Type LARGE_INTEGER
     lowpart As Long
     highpart As Long
End Type

Public Type PARTITION_INFORMATION
'     StartingOffset As LARGE_INTEGER
'     PartitionLength As LARGE_INTEGER
     StartingOffset As Currency
     PartitionLength As Currency
     HiddenSectors As Long
     PartitionNumber As Long
     PartitionType As Byte
     BootIndicator As Boolean
     RecognizedPartition As Boolean
     RewritePartition As Boolean
End Type

Public Type DRIVE_LAYOUT_INFORMATION
     PartitionCount      As Long
     signature           As Long
     PartitionEntry(255) As PARTITION_INFORMATION
End Type

Public Function GetPartType(ByVal ID As Integer) As String
    Select Case ID
        Case 0: GetPartType = "Unknown"
        Case 1: GetPartType = "FAT_12"
        Case 2: GetPartType = "Xenix_root"
        Case 3: GetPartType = "Xenix_usr"
        Case 4: GetPartType = "FAT_16"
        Case 5: GetPartType = "FAT_16_Extended"
        Case 6: GetPartType = "FAT_16_Huge"
        Case 7: GetPartType = "NTFS"
        Case 8: GetPartType = "Commodore DOS"
        Case 10: GetPartType = "OPUS"
        Case 11: GetPartType = "FAT_32"
        Case 12: GetPartType = "FAT_32_LBA"
    End Select
End Function

